Mercury API
CmdGen2ReadTagData Method (timeout, metadataFlags, bank, address, count, accessPassword, filter)
Namespaces ► ThingMagic ► SerialReader ► CmdGen2ReadTagData(UInt16, SerialReader..::.TagMetadataFlag, Gen2..::.Bank, UInt32, Byte, UInt32, TagFilter)
Read the memory of a Gen2 tag.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public TagReadData CmdGen2ReadTagData(
    	ushort timeout,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	Gen2..::.Bank bank,
    	uint address,
    	byte count,
    	uint accessPassword,
    	TagFilter filter
    )

    <ObsoleteAttribute> _
    Public Function CmdGen2ReadTagData ( _
    	timeout As UShort, _
    	metadataFlags As SerialReader..::.TagMetadataFlag, _
    	bank As Gen2..::.Bank, _
    	address As UInteger, _
    	count As Byte, _
    	accessPassword As UInteger, _
    	filter As TagFilter _
    ) As TagReadData

    [ObsoleteAttribute]
    public:
    TagReadData^ CmdGen2ReadTagData(
    	unsigned short timeout,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	Gen2..::.Bank bank,
    	unsigned int address,
    	unsigned char count,
    	unsigned int accessPassword,
    	TagFilter^ filter
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for the operation. Valid range is 0-65535

metadataFlags (SerialReader..::.TagMetadataFlag)
  the set of metadata values to retrieve and store in the returned object

bank (Gen2..::.Bank)
  the Gen2 memory bank to read from

address (UInt32)
  the word address to start reading from

count (Byte)
  the number of words to read.

accessPassword (UInt32)
  the password to use when writing the tag

filter (TagFilter)
  a specification of the air protocol filtering to perform

Return Value
a TagReadData object containing the tag data and any requested metadata (note: the tag EPC will not be present in the object)

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)